Product comparison · 2 wired routers

Digicom Michelangelo Office Pro V vs Digicom Michelangelo Office TX wired router

Add a product
  • 17specifications compared
  • 4differ
  • 13identical
  • 12known for one product only

Key differences

  • Upstream data rate
    • Michelangelo Office Pro V:8 Mbit/s
    • Michelangelo Office TX wired router:1 Mbit/s
  • Supported network protocols
    • Michelangelo Office Pro V:SNTP, DNS Relay, IGMP proxy
    • Michelangelo Office TX wired router:RFC2364, RFC2516, RFC1483
  • Authentication method
    • Michelangelo Office Pro V:L2TP, PPTP
    • Michelangelo Office TX wired router:PAP, CHAP
  • Maximum data transfer rate
    • Michelangelo Office Pro V:0.1 Gbit/s
    • Michelangelo Office TX wired router:0 Gbit/s

Side by side

Differences highlightedShow differences only (off)
Comparison of Michelangelo Office Pro V, TX
29 specifications
Networkidentical
Supports ISDN connectionNoNo
DSL features1 differ
ADSLYesYes
Upstream data rateDiffers8 Mbit/s1 Mbit/s
Downstream data rate24 Mbit/s24 Mbit/s
DSL specificationADSL2+, ADSL2, DELT, READSL2, ADSL Full-rate ANSI T1.413 Issue 2, G.dmt, G.lite, G.hsADSL2+, ADSL2, DELT, READSL2, ADSL Full-rate ANSI T1.413 Issue 2, G.dmt, G.lite, G.hs
Management featuresidentical
Web-based managementYesYes
Ports & interfacesidentical
Ethernet LAN (RJ-45) ports44
RJ-11 ports quantity11
DC-in jackYesYes
I/O portsKnown for oneUnknown — not stated by the source1 x USB
Protocols1 differ
DHCP clientYesYes
DHCP serverYesYes
DMZ supportYesYes
Supported network protocolsDiffersSNTP, DNS Relay, IGMP proxyRFC2364, RFC2516, RFC1483
Security1 differ
Authentication methodDiffersL2TP, PPTPPAP, CHAP
MAC address filteringKnown for oneYesUnknown — not stated by the source
URL filteringKnown for oneYesUnknown — not stated by the source
IP address filteringKnown for oneYesUnknown — not stated by the source
System event logKnown for oneYesUnknown — not stated by the source
VPN supportKnown for oneIPSec (IKE, DES, 3DES, AES)Unknown — not stated by the source
NAT functionalityYesYes
Firewall securityKnown for oneUnknown — not stated by the sourceStateful packet inspection (SPI) firewall
Other features1 differ
Connectivity technologyWiredWired
Maximum data transfer rateDiffers0.1 Gbit/s0 Gbit/s
Networking featuresKnown for oneFast EthernetUnknown — not stated by the source
Remote administrationKnown for oneTelnetUnknown — not stated by the source
Power requirementsKnown for oneUnknown — not stated by the source9VAC, 1A
Connectivity LEDsKnown for oneUnknown — not stated by the sourceYes
Featuresidentical
CertificationKnown for oneUnknown — not stated by the sourceCE Mark

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More wired router comparisons

All wired router comparisons